| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Classes | Public Member Functions
AAX_VSessionDocument Class Reference

`#include <AAX_VSessionDocument.h>`

Inheritance diagram for AAX_VSessionDocument:
[legend]
Collaboration diagram for AAX_VSessionDocument:
[legend]

## Classes
class | VTempoMap

## Public Member Functions
| AAX_VSessionDocument (IACFUnknown *iUnknown)
| ~AAX_VSessionDocument () AAX_OVERRIDE
void | Clear ()
| Release all interface references.
bool | Valid () const AAX_OVERRIDE
| Check whether this session document is valid.
std::unique_ptr< AAX_ISessionDocument::TempoMap const > | GetTempoMap () AAX_OVERRIDE
| Get a copy of the document's tempo map.
AAX_Result | GetDocumentData (AAX_DocumentData_UID const &inDataType, IACFUnknown **outData) AAX_OVERRIDE
Public Member Functions inherited from AAX_ISessionDocument
virtual | ~AAX_ISessionDocument ()=default
virtual bool | Valid () const =0
| Check whether this session document is valid.
virtual std::unique_ptr< TempoMap const > | GetTempoMap ()=0
| Get a copy of the document's tempo map.
virtual AAX_Result | GetDocumentData (AAX_DocumentData_UID const &inDataType, IACFUnknown **outData)=0

## Constructor & Destructor Documentation

## ◆ AAX_VSessionDocument()

AAX_VSessionDocument::AAX_VSessionDocument | ( | IACFUnknown * | iUnknown | ) |
| explicit

## ◆ ~AAX_VSessionDocument()

AAX_VSessionDocument::~AAX_VSessionDocument | ( |  | ) |

## Member Function Documentation

## ◆ Clear()

void AAX_VSessionDocument::Clear | ( |  | ) |

Release all interface references.

## ◆ Valid()

bool AAX_VSessionDocument::Valid | ( |  | ) | const
| virtual

Check whether this session document is valid.

Implements AAX_ISessionDocument.

## ◆ GetTempoMap()

std::unique_ptr< AAX_ISessionDocument::TempoMap const > AAX_VSessionDocument::GetTempoMap | ( |  | ) |
| virtual

Get a copy of the document's tempo map.

Returns
  A TempoMap interface representing a copy of the current tempo map.
  `nullptr` if the host does not support tempo map data or if an error occurred.

Implements AAX_ISessionDocument.

## ◆ GetDocumentData()

AAX_Result AAX_VSessionDocument::GetDocumentData | ( | AAX_DocumentData_UID const & | inDataType,
|  | IACFUnknown ** | outData
| ) |  |
| virtual

Get document data of a generic type

Similar to `QueryInterface()` but uses a data type identifier rather than a true IID

The provided interface has already had a reference added, so be careful not to add an additional reference:

ACFPtr<MyType> ptr;
IACFUnknown * docDataPtr{nullptr};
if (AAX_SUCCESS == doc->GetDocumentData(dataUID, &docDataPtr) && docDataPtr) {
ptr.attach(std::static_cast<MyType*>(docDataPtr)); // attach does not AddRef
}
AAX_SUCCESS
@ AAX_SUCCESS
Definition: AAX_Errors.h:36
IACFUnknown
COM compatible IUnknown C++ interface.
Definition: AAX_ACFInterface.doxygen:252

Parameters

  [in] | inDataType | The type of the document data requested
  [out] | outData | An interface providing the requested data, or `nullptr` if the host does not support or cannot provide the requested data type. The reference count has been incremented on this object on behalf of the caller, so the caller must not add an additional reference count and must decrement the reference count on this object to release it. For information about which interface to expect for each requested data type, see the documentation for that data type.

Implements AAX_ISessionDocument.

The documentation for this class was generated from the following file:

- AAX_VSessionDocument.h